%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global has_ostree (0%{?fedora} && 0%{?fedora} >= 17) || (0%{?rhel} && 0%{?rhel} >= 7)


# -- header -----------------------------------------------------------------------

Name:           rh-rhui-tools
Version:        3.0.5
Release:        3%{?dist}
Summary:        Tools for installing and configuring the Red Hat Update Infrastructure

Group:          Applications/Internet
License:        GPLv2
URL:            http://redhat.com
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-setuptools
Requires:       python >= 2.6
Requires:       rpm-build
Requires:       pulp-rpm-plugins >= 2.7.0
Requires:       m2crypto
Requires:       openssl
Requires:       nss-tools
Requires:       rh-rhui-tools-libs = %{version}
Requires:       python-rhsm >= 1.8.0
Requires:       crontabs


%description
Red Hat Update Infrastructure (RHUI) is a collection of technologies that
offers cloud providers the ability to easily deploy Red Hat solutions into
their environments. The rh-rhui-tools package has a series of tools necessary
to configure the RHUI. 


%package        libs
Summary:        Python libraries for rh-rhui-tools
Group:          Applications/Internet
Requires:       fabric >= 1.8.1
Requires:       m2crypto
Requires:       python-iniparse
Requires:       python-pulp-bindings >= 2.6.0
Requires:       python-pulp-common >= 2.6.0
Requires:       python-pulp-rpm-common >= 2.6.0
Requires:       python-paramiko >= 1.13
Requires:       python-rhsm >= 1.8.0
Requires:       PyYAML
Requires:       rpm-python
%if %{has_ostree}
Requires:       python-pulp-ostree-common >= 1.0.0
Requires:       pulp-ostree-plugins >= 1.0.0
%endif

%description    libs
Libraries to support rh-rhui-tools.

%prep
%setup -q -n rh-rhui-tools-%{version}

# -- build -----------------------------------------------------------------------

%build
pushd src
%{__python} setup.py build
popd

# -- install ---------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# Python setup
pushd src
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
popd
rm -f $RPM_BUILD_ROOT%{python_sitelib}/rhui*egg-info/requires.txt

# Configuration files
mkdir -p $RPM_BUILD_ROOT/etc/rhui
cp -R etc/rhui/* $RPM_BUILD_ROOT/etc/rhui

# Cron job tasks
mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly
cp -R etc/cron.hourly/* $RPM_BUILD_ROOT/etc/cron.hourly

# Certificate storage location
mkdir -p $RPM_BUILD_ROOT/etc/pki/rhui
mkdir -p $RPM_BUILD_ROOT/etc/pki/rhui/redhat

# rhui-debug.py script for sosreport
mkdir -p %{buildroot}%{_datadir}/rh-rhua/
cp scripts/rhui-debug.py %{buildroot}%{_datadir}/rh-rhua/rhui-debug.py

# rhui-services-restart location
cp scripts/rhui-services-restart %{buildroot}%{_bindir}/rhui-services-restart

# -- clean -----------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -- files -----------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%{_bindir}/rhui-manager
%{_bindir}/rhui
%{_bindir}/rhui-subscription-sync
%{_sysconfdir}/cron.hourly/synchronize-rhui-subscriptions


%attr(0755,root,root) /etc/rhui/enc.py
%attr(0755,root,root) /etc/rhui/enc.pyo
%attr(0755,root,root) /etc/rhui/enc.pyc
%config(noreplace) /etc/rhui/rhui-tools.conf
%config(noreplace) /etc/rhui/registered_subscriptions.conf
%attr(0600,root,root) %config(noreplace) /etc/rhui/rhui-subscription-sync.conf
%config /etc/rhui/cdn.redhat.com-chain.crt
%config /etc/rhui/templates/rh-client-config.spec
%config /etc/rhui/templates/rh-client-config-docker.spec
%config /etc/rhui/templates/client-repo-template.repo
%config /etc/rhui/templates/ostree-conf.sh
%config /etc/rhui/templates/registries.conf
%attr(0750,root,root) /etc/rhui/templates/rhui-set-release
%config /etc/pki/rhui/redhat

%files libs
%defattr(-,root,root,-)
%{python_sitelib}/rhui/*
%{python_sitelib}/rhui*.egg-info
%{_datadir}/rh-rhua/rhui-debug.py*
%attr(0744,root,root) %{_bindir}/rhui-services-restart


# -- changelog -------------------------------------------------------------------

%changelog
* Fri Aug 31 2018 Milan Kubík <mkubik@redhat.com> 3.0.5-3
- Fix typos and small issues in the 3.0.5 commits (mkubik@redhat.com)

* Wed Aug 29 2018 Martin Minar <mminar@redhat.com> 3.0.5-2
- [BZ 1539105] Bugfixing restart call
* Thu Aug 23 2018 Martin Minar <mminar@redhat.com> 3.0.5-1
- [BZ 1539105] Missing script which would restart all the rhui related services
  on RHUA and CDS (mminar@redhat.com)
- [BZ 1176477] 60-second timeout for rhui-manager (radek@redhat.com)
- [BZ 1599635] print Location: <path> (radek@redhat.com)
- Install the registries.conf for docker (mkubik@redhat.com)
- Add registries file to the docker RPM (mkubik@redhat.com)
- Add the newer registries template to the tarball (mkubik@redhat.com)
- Modify the ostree install script to handle new registries configuration
  (mkubik@redhat.com)
- Add empty template for newer registry configuration file (mkubik@redhat.com)
- [BZ 1601478] RFE: Sort repo lists (mminar@redhat.com)
- [BZ 1599635] print the exact location of the client configuration RPM that
  rhui-manager has built (mminar@redhat.com)
- [BZ 1596296] Moving rhui-debug.py to rh-rhui-tools-libs rpm that is present
  on both RHUA and CDS nodes (mminar@redhat.com)
- [BZ 1176477] Collect the output from "rhui-manager status" in sosreport
  (mminar@redhat.com)

* Tue Jun 26 2018 Milan Kubík <mkubik@redhat.com> 3.0.4-1
- Bump python package version to 3.0.4 (mkubik@redhat.com)
- spec file to include the script (mkubik@redhat.com)
- Amend the client package spec file to include rhui-set-release
  (mkubik@redhat.com)
- Include the client rhui-set-release script in the client RPM
  (mkubik@redhat.com)
- Add implementation of the script for setting release version
  (mkubik@redhat.com)
- UserScreen code clean-up. (mminar@redhat.com)
- [BZ 1297538] Add automatic logout to password change to avoid issues with
  certificates. (mminar@redhat.com)
- BZ #1588931 - Remove forced failure of certificate update process
  (mkubik@redhat.com)
- [BZ 1519862] Catching expired certificate exception that caused traceback.
  (mminar@redhat.com)
- Clean-up of rhui-debug.py code (mminar@redhat.com)
- [BZ 1578678] Include /var/log/rhui-subscription-sync.log in sosreports
  (mminar@redhat.com)
- [BZ 1591027] Updated rhui-debug for RHUI 3 (crag@redhat.com)
- [BZ 1415681] disable both subscription-manager and rhn-plugin after client
  RPM is installed (mminar@redhat.com)
- [BZ 1557052] rhui-manager CLI does not force output colors anymore
  (mminar@redhat.com)

* Fri May 11 2018 Milan Kubík <mkubik@redhat.com> 3.0.3-3
- Redirect the prompt output when used in script (mkubik@redhat.com)
- Include crontabs dependency (mkubik@redhat.com)

* Fri May 11 2018 Milan Kubík <mkubik@redhat.com> 3.0.3-2
- Improve log handling and catch all exceptions to log. (mkubik@redhat.com)
- Bump the version on python package (mkubik@redhat.com)
- Python 2.6 compatibility fixes (mkubik@redhat.com)

* Thu May 10 2018 Milan Kubík <mkubik@redhat.com> 3.0.3-1
- Add configuration file for rhui-subscription-sync command (mkubik@redhat.com)
- Modify cli listing and add pool-only flag (mkubik@redhat.com)
- Add initial empty configuration file for subscriptions (mkubik@redhat.com)
- Run the check for synchronization every hour via cron (mkubik@redhat.com)
- Make the executables via python entry points (mkubik@redhat.com)
- Add function implementing the script synchronizing the subscriptions
  (mkubik@redhat.com)
- Add the Subscriptions screen to the TUI (mkubik@redhat.com)
- Add the subscriptions section to CLI (mkubik@redhat.com)
- Implementation of the UI of the subscriptions commands (mkubik@redhat.com)
- Add the initial implementation of SubscriptionsManager (mkubik@redhat.com)
- Prepare constants and errors for the subscription manager integration
  (mkubik@redhat.com)
- Add check for the content of OSTree repositories (mkubik@redhat.com)
- Fix the format parameters to not pass tuple into format string
  (mkubik@redhat.com)
- Add missing parameter to the add_gpg_keys_for_repo function
  (mkubik@redhat.com)
- Fix typo in the constant name (mkubik@redhat.com)
- Fix typo in module name during logger instantiation (mkubik@redhat.com)
- Refactor the add method of the CertificateManager (mkubik@redhat.com)
- Add a function to extract the Pool ID from entitlement certificate
  (mkubik@redhat.com)
- Use the new signature of update_server call (mkubik@redhat.com)
- Use the entitlement content_type from certificate (mkubik@redhat.com)
- Enhance the CDN API module (mkubik@redhat.com)
- Refactor the update_server function to update with correct certificate
  (mkubik@redhat.com)
- Change the update method to only change the entitlement certificate
  (mkubik@redhat.com)
- Update the entitlement model to include content type (mkubik@redhat.com)
- BZ #1428756 - configure gpgkey correctly in 'rhui-manager client rpm' command
  (mkubik@redhat.com)
- BZ #1450430 - PyGIWarning: OSTree was imported without specifying a version
  first (mkubik@redhat.com)

* Tue Feb 20 2018 Milan Kubík <mkubik@redhat.com> 3.0.2-1
- make the certificate verification message more specific (mkubik@redhat.com)
- Sort the output of 'rhui-manager client labels' by default
  (mkubik@redhat.com)
- Fixes the incorrect return value on repository synchronization issue
  (mkubik@redhat.com)

* Wed Mar 15 2017 B Zhang <bizhang@redhat.com> 3.0.1-3
- fixed mistake in spec file (bihan.zh@gmail.com)

* Wed Mar 15 2017 B Zhang <bizhang@redhat.com> 3.0.1-3
- Added rhui-debug.py to fix issue with sosreport BZ1431538
  

* Wed Mar 15 2017 B Zhang <bizhang@redhat.com> 3.0.1-2
- Added rhui-debug.py to fix issue with sosreport BZ1431538

* Wed Mar 15 2017 B Zhang <bizhang@redhat.com> 3.0.1-1
- Use pattern matching for RHUI urls (pcreech@redhat.com)

* Tue Jan 24 2017 B Zhang <bizhang@redhat.com> 3.0.0-1
- bumping version to 3.0.0 (bizhang@redhat.com)

* Wed Jan 18 2017 B Zhang <bizhang@redhat.com> pre.3.0.41-1
- fix BZ1410480 BZ1405083 (bizhang@redhat.com)

* Tue Jan 17 2017 B Zhang <bizhang@redhat.com> pre.3.0.40-1
- fix BZ1406989 (bizhang@redhat.com)
- Change docker validation to print warning instead of fail
  (bizhang@redhat.com)
- fix for BZ1405083, BZ1404401, BZ1410480 (bizhang@redhat.com)
- remote entitlement cert from migration (bizhang@redhat.com)
- remove unneeded quote (bizhang@redhat.com)

* Fri Dec 16 2016 B Zhang <bizhang@redhat.com> pre.3.0.39-1
- Migration script to use read for password Update locatin of certs on rhui2
  (bizhang@redhat.com)
- fix unprotected repos cli (bizhang@redhat.com)

* Thu Dec 15 2016 B Zhang <bizhang@redhat.com> pre.3.0.38-1
- fix for 1401328, 1404401 (bizhang@redhat.com)

* Wed Dec 14 2016 B Zhang <bizhang@redhat.com> pre.3.0.37-1
- Minor fixes to ostree client install (pcreech@redhat.com)
- fix BZ1404401 (bizhang@redhat.com)
- fix small cli issues BZ1404331, BZ1404330, BZ1404704 (bizhang@redhat.com)

* Tue Dec 13 2016 B Zhang <bizhang@redhat.com> pre.3.0.36-1
- updated spec file for ostree.sh (bizhang@redhat.com)

* Tue Dec 13 2016 B Zhang <bizhang@redhat.com> pre.3.0.35-1
- Fix error message display (pcreech@redhat.com)
- Create atomic client configuration package (pcreech@redhat.com)
- Log translation_errors exceptions (pcreech@redhat.com)
- Don't show 403 errors (pcreech@redhat.com)
- Add entitlment cert to migration script (bizhang@redhat.com)
- Fix if logic and display proper data value (pcreech@redhat.com)
- fix running sync (bizhang@redhat.com)
- fix packages upload (bizhang@redhat.com)
- fix BZ1224956 (bizhang@redhat.com)
- fix sorting (bizhang@redhat.com)

* Tue Dec 06 2016 B Zhang <bizhang@redhat.com> pre.3.0.34-1
- add rh-client-config-docker.spec to spec file (bizhang@redhat.com)

* Tue Dec 06 2016 B Zhang <bizhang@redhat.com> pre.3.0.33-1
- 


* Tue Dec 06 2016 B Zhang <bizhang@redhat.com> pre.3.0.32-1
- Add --by_repo_id to unused command (pcreech@redhat.com)
- fix docker client config rpm generation (bizhang@redhat.com)
- Add docker client config rpm generation (bizhang@redhat.com)
- fix for BZ1401592 (bizhang@redhat.com)
- fix for BZ1378322 (bizhang@redhat.com)
- fix for BZ1224956 (bizhang@redhat.com)

* Fri Dec 02 2016 Patrick Creech <pcreech@redhat.com> pre.3.0.30-1
- Add rhui-manager cli commands back (pcreech@redhat.com)
- Fix for BZ1393778 (bizhang@redhat.com)
- fix BZ1393787 (bizhang@redhat.com)
- minor bug fixes: BZ1397879 BZ1399819 BZ1377315 (bizhang@redhat.com)
- fix sha-1 distributor config BZ1399572 (bizhang@redhat.com)

* Tue Nov 22 2016 B Zhang <bizhang@redhat.com> pre.3.0.29-1
- fix default value of docker repo name (bizhang@redhat.com)

* Tue Nov 22 2016 B Zhang <bizhang@redhat.com> pre.3.0.28-1
- Replace . in docker_upstream_name (bizhang@redhat.com)
- fix BZ1377258 (bizhang@redhat.com)
- fix for BZ1397412 (bizhang@redhat.com)
- minor bugfixes: BZ1378482 BZ1381256 (bizhang@redhat.com)
- Sort RH repos closes BZ1396093 (bizhang@redhat.com)
- add categories for repolist, BZ1393787 (bizhang@redhat.com)
- Minor bug fixes: BZ1396739 BZ1393778 (bizhang@redhat.com)
- fix BZ1395751 (bizhang@redhat.com)
- Fix minor bugs (bizhang@redhat.com)
- Revert "Remove repo_type from repo str" (pcreech@redhat.com)

* Tue Nov 15 2016 B Zhang <bizhang@redhat.com> pre.3.0.27-1
- 

* Tue Nov 15 2016 B Zhang <bizhang@redhat.com>
- 

* Tue Nov 15 2016 B Zhang <bizhang@redhat.com> pre.3.0.25-1
- fix for https://bugzilla.redhat.com/show_bug.cgi?id=1391641
  (bizhang@redhat.com)
- Ignore errors on unregistering haproxy instance (pcreech@redhat.com)
- Add certificate validation logic (pcreech@redhat.com)
- Remove repo_type from repo str (pcreech@redhat.com)
- Build client config rpm compatible with RHEL 5-7 (pcreech@redhat.com)
- fix for BZ1393801 (bizhang@redhat.com)
- fix for BZ1393778 (bizhang@redhat.com)
- fixes BZ1393818 (bizhang@redhat.com)
- update changelog with name (bizhang@redhat.com)

* Wed Nov 09 2016 B Zhang <bizhang@redhat.com> pre.3.0.24-1
- fix tiny wording issue as per
  https://bugzilla.redhat.com/show_bug.cgi?id=1303039#c6 (bizhang@redhat.com)
- Add docker screen and container creation (bizhang@redhat.com)

* Tue Oct 25 2016 B Zhang pre.3.0.23-1
- No more traceback to user (bizhang@redhat.com)
- Check if Cert is valid and not expired (bizhang@redhat.com)
- Update repo checksum prompt words (bizhang@redhat.com)
- Check Sync for available repositories (bizhang@redhat.com)
- Save RPM to protected/unprotected relative path (bizhang@redhat.com)
- Reload entitlement certificates on list (bizhang@redhat.com)
- Raises RHUIException on RequestException from pulp (bizhang@redhat.com)

* Wed Sep 21 2016 Patrick Creech <pcreech@redhat.com> pre.3.0.22-1
- Fix creation of protected repos (pcreech@redhat.com)
- Use yaml.safe_dump for the yaml config instead (pcreech@redhat.com)

* Tue Aug 30 2016 B Zhang <bizhang@redhat.com> pre.3.0.21-1
- Ignore failure of umount command in cds removal (pcreech@redhat.com)

* Tue Aug 09 2016 Patrick Creech <pcreech@redhat.com> pre.3.0.20-1
- Fix checksum abort for Custom Repo Creation (pcreech@redhat.com)
- Fix invalid login traceback (pcreech@redhat.com)
- Don't allow empty passwords (pcreech@redhat.com)
- Fix bash logic unregistering CDS (pcreech@redhat.com)
- Fix CDS notation (pcreech@redhat.com)

* Tue Jul 19 2016 Patrick Creech <pcreech@redhat.com> pre.3.0.19-1
- Fix issues found in rpm generation (pcreech@redhat.com)
- Wait for import_upload to complete before continue (pcreech@redhat.com)

* Tue Jul 12 2016 Patrick Creech <pcreech@redhat.com> pre.3.0.18-1
- Fix OSTREE plugin relative path key error (pcreech@redhat.com)
- Update OSTREE_SUMMARY_BRANCH_KEY constant (pcreech@redhat.com)

* Tue Jun 21 2016 Patrick Creech <pcreech@redhat.com> pre.3.0.17-1
- scheduled_syncs error on repo list (pcreech@redhat.com)

* Tue Oct 13 2015 David Gao <jinmaster923@gmail.com> pre.3.0.16-1
- Minor bug fixes for repo creation. (jinmaster923@gmail.com)

* Tue Oct 06 2015 Chris Duryee <cduryee@redhat.com> pre.3.0.15-1
- 1264162 - add timestamp to rhui.log (cduryee@redhat.com)
- Add migration script. (cduryee@redhat.com)

* Tue Sep 15 2015 Chris Duryee <cduryee@redhat.com> pre.3.0.14-1
- Added 'rhui' CLI executable (jeremy@jcline.org)

* Tue Sep 15 2015 Chris Duryee <cduryee@redhat.com> pre.3.0.13-1
- Instance registration checks for open ports. (jeremy@jcline.org)
- Added notes to RPM-only commands (jeremy@jcline.org)
- Command line that supports managing CDS and HAProxy instances.
  (jeremy@jcline.org)
- Added the user management screen back to rhui-manager (jeremy@jcline.org)

* Tue Sep 08 2015 Chris Duryee <cduryee@redhat.com> pre.3.0.12-1
- The default pulp password is now generated or set at install-time.
  (jeremy@jcline.org)

* Thu Sep 03 2015 Chris Duryee <cduryee@redhat.com> pre.3.0.11-1
- Remove all traces of the gluster-related code (jeremy@jcline.org)
- Deleted files that are no longer used in 3.0. (jeremy@jcline.org)
- Fixes 1258950 - remote FS is now unmounted on CDS on removal.
  (jeremy@jcline.org)

* Tue Sep 01 2015 Chris Duryee <cduryee@redhat.com> pre.3.0.10-1
- rhui-manager now uses the configured CA. (jeremy@jcline.org)

* Fri Aug 28 2015 Chris Duryee <cduryee@redhat.com> pre.3.0.9-1
- spec file fixups and enc.py update (cduryee@redhat.com)
- Remove gluster menu from rhui-manager. (jeremy@jcline.org)
- Fixed two broken unit tests. (jeremy@jcline.org)
- Added the re-balance commands. (jeremy@jcline.org)
- The CDS subclass now uses the Fabric wrapper (jeremy@jcline.org)
- Updated rh-rhui-tools spec (jeremy@jcline.org)
- Significant rework of the gluster menu items. (jeremy@jcline.org)
- Fixed the gluster mount command on the rhua (jeremy@jcline.org)
- Add glusterfs screen. (jeremy@jcline.org)
- Fixes remaining unit tests for rhui.tools.screens.instances
  (jeremy@jcline.org)
- Updated some tests. (jeremy@jcline.org)
- Added a screen for HAProxy management. (jeremy@jcline.org)
- ostree now uses the correct proxy settings. (jeremy@jcline.org)
- Add an external node classifier for Puppet. (jeremy@jcline.org)

* Wed Aug 19 2015 Chris Duryee <cduryee@redhat.com> pre.3.0.8-1
- Fixes 1251175, 1251158, and 1251142 (jeremy@jcline.org)
- Added unit tests and fixes for pulp_api._update_repo (jeremy@jcline.org)

* Mon Aug 17 2015 Chris Duryee <cduryee@redhat.com> pre.3.0.7-1
- Updated the pulp_ostree package name in the spec file. (jeremy@jcline.org)

* Mon Aug 17 2015 Chris Duryee <cduryee@redhat.com> pre.3.0.6-1
- Add proxy support to rhui-manager. (jeremy@jcline.org)
- Add ostree content support in rhui-manager. (jeremy@jcline.org)
* Wed Jul 29 2015 Chris Duryee <cduryee@redhat.com> pre.3.0.5-1
- Fixed CDS installation Fabric commands (jeremy@jcline.org)
- Fix the initial CDS connection (jeremy@jcline.org)
- Removed the last vestiges of the identity certificate (jeremy@jcline.org)

* Tue Jul 28 2015 Chris Duryee <cduryee@redhat.com> pre.3.0.4-1
- Removed the identity certificate (jeremy@jcline.org)

* Tue Jul 28 2015 Chris Duryee <cduryee@redhat.com> pre.3.0.3-1
- Add Docker content support to rhui-manager. (jeremy@jcline.org)
- Added http to redirect_url section. (jinmaster923@gmail.com)
- changes to rh-rhui-tools packaging (cduryee@redhat.com)
- auto-detect the CDS hostname if there's only one hostname in the db
  (cduryee@redhat.com)
- add Docker support to client RPM (cduryee@redhat.com)
- Made some big changes to installation scripts to make user experience more
  smooth. (jinmaster923@gmail.com)
- RHUI oid validator plugin (cduryee@redhat.com)
- Make script slightly more idempotent (jinmaster923@gmail.com)

* Thu Apr 30 2015 David Gao <jinmaster923@gmail.com> pre.3.0.2-1
- Merge branch 'jcline-puppet' (jinmaster923@gmail.com)
- Minor tweak to output (jinmaster923@gmail.com)
- Minor change to output text Fixed len() error (jinmaster923@gmail.com)
- Added list() implementation (jinmaster923@gmail.com)
- Slight cleanup and added some feedback for users. (jinmaster923@gmail.com)
- Oops, set return of run_command() incorrectly (jinmaster923@gmail.com)
- Instead of relying on fabfile.py, moved calls to local methods.
  (jinmaster923@gmail.com)
- Intermediate commit for more changes in register_content_node()
  (jinmaster923@gmail.com)
- Fixed a slew of errors (jinmaster923@gmail.com)
- Oops forgot to include * at the end of %%file's addition
  (jinmaster923@gmail.com)
- Initial checkin for puppet integration. (jinmaster923@gmail.com)
- Pulp apache config now depends on the Gluster volume (jcline@redhat.com)
- Merge branch 'jcline-puppet' (jinmaster923@gmail.com)
- The Pulp apache config now has the correct CA path (jcline@redhat.com)
- Comment out yum update because it'll update rh-amazon-rhui-client version,
  which disables rhel-optional that carries rubygem-rake that we'll need for
  puppetmaster. (jinmaster923@gmail.com)
- Corrected identation problem (jinmaster923@gmail.com)
- Added contextlib.closing to opening tarfile (dgao@redhat.com)
- Removed WSGI fragment in favor of vhost parameters. (jcline@redhat.com)
- Renamed enc_config files (jinmaster923@gmail.com)
- Blank out puppetmaster_hostname var (jinmaster923@gmail.com)
- Merge branch 'jcline-puppet' (jinmaster923@gmail.com)
- Pulp can now run on the same host as the puppetmaster (jcline@redhat.com)
- added missing puppet modules (jcline@redhat.com)
- Initial commit for traffic_shaping script. (jinmaster923@gmail.com)
- Added password support for Postgres, cleaned up puppet.py (jcline@redhat.com)
- Removed the 'puppet' dependency for gluster (jcline@redhat.com)
- Updated the enc examples and manifests (jcline@redhat.com)
- Started on the SSL vhost for content nodes (jcline@redhat.com)
- Added a simple External Node Classifier. (jcline@redhat.com)
- Merge branch 'jcline-puppet' of git+ssh://code.engineering.redhat.com/cloude
  into jcline-puppet (jcline@redhat.com)
- Added the puppet system configuration (jcline@redhat.com)
- Automatic commit of package [rh-rhui-tools] release [pre.3.0.1-1].
  (dgao@redhat.com)
- Added a sample set of node definitions and a Fabric script to deploy a
  puppetmaster to RHEL6. (jcline@redhat.com)

* Tue Mar 10 2015 David Gao <dgao@redhat.com> pre.3.0.1-1
- Oops, forgot to comment out cp command for rhui-debug.py
  (jinmaster923@gmail.com)

* Mon Mar 09 2015 David Gao <jinmaster923@gmail.com> pre.3.0.0-1
- Removed rhui-debug rpm and dependency. (jinmaster923@gmail.com)
- CDS removal cleanup work. (jinmaster923@gmail.com)
- Removed CDS cluster dependencies during entitlement cert creation and custom
  client rpm creation. (jinmaster923@gmail.com)
- Adjusted to read new gpg key values from repo obj. (jinmaster923@gmail.com)
- Added new field for loadbalancer file location on local disk.
  (jinmaster923@gmail.com)
- Added GPG key support for custom repos. (jinmaster923@gmail.com)
- Initial work on removing dependency on CDS cluster during client cert
  generation. (jinmaster923@gmail.com)
- Removed CDS CLI functionality. Removed CDS from CLI status report. Replaced
  CDS UI screen w/ stubbed out HA screens. Removed CDS sync status from sync
  screens. (jinmaster923@gmail.com)

* Mon Mar 09 2015 David Gao <jinmaster923@gmail.com>
- Removed rhui-debug rpm and dependency. (jinmaster923@gmail.com)
- CDS removal cleanup work. (jinmaster923@gmail.com)
- Removed CDS cluster dependencies during entitlement cert creation and custom
  client rpm creation. (jinmaster923@gmail.com)
- Adjusted to read new gpg key values from repo obj. (jinmaster923@gmail.com)
- Added new field for loadbalancer file location on local disk.
  (jinmaster923@gmail.com)
- Added GPG key support for custom repos. (jinmaster923@gmail.com)
- Initial work on removing dependency on CDS cluster during client cert
  generation. (jinmaster923@gmail.com)
- Removed CDS CLI functionality. Removed CDS from CLI status report. Replaced
  CDS UI screen w/ stubbed out HA screens. Removed CDS sync status from sync
  screens. (jinmaster923@gmail.com)

* Wed Jan 21 2015 David Gao <dgao@redhat.com> 2.1.40-1
- Correct version number. (dgao@redhat.com)
- Change dep from pulp-client to pulp-rpm-plugins. (dgao@redhat.com)
- Minor update to client to not use TLSv1. (dgao@redhat.com)
- Fix for sslv3 poodle atk. (jinmaster923@gmail.com)
- Cleanup comment stmts (jinmaster923@gmail.com)
- Added CDS sync funtionality (jinmaster923@gmail.com)
- Added repos association to CDS/Cluster. (jinmaster923@gmail.com)
- Added CDS/Cluster creation with rhui_cds. (jinmaster923@gmail.com)
- Initial work tying rhui-manager with new CDS work. (jinmaster923@gmail.com)

* Tue Nov 26 2013 John Matthews <jwmatthews@gmail.com> 2.1.37-1
- 957128 - Error when .rpm file, which isn't real rpm package, is uploaded
  (jwmatthews@gmail.com)

* Fri Nov 15 2013 David Gao <dgao@redhat.com> 2.1.36-1
- 1026828 - change permission of cert/key that's generated by rhui-manager
  (dgao@redhat.com)

* Thu Nov 14 2013 John Matthews <jwmatthews@gmail.com> 2.1.35-1
- 830631 - [Patch] Disables yum-rhn-plugin a little bit safer in %%post in
  client entitlement rpms' spec template (jwmatthews@gmail.com)

* Wed Nov 13 2013 John Matthews <jwmatthews@gmail.com> 2.1.34-1
- 836852 - Lack of SSLCACertificateFile in CDS server defaults cause RHEL 5
  clients to fail SSL negotiation (jwmatthews@gmail.com)

* Wed Nov 13 2013 John Matthews <jwmatthews@gmail.com> 2.1.33-1
- 836852 - Lack of SSLCACertificateFile in CDS server defaults cause RHEL 5
  clients to fail SSL negotiation (jwmatthews@gmail.com)
- 957128 - Error when .rpm file, which isn't real rpm package, is uploaded
  Added a flag to ignore the gpg key when checking if a RPM is valid
  (jwmatthews@gmail.com)
- 830679 - [Patch] Make rhui-manager allows valid RHUI entitlement certificates
  w/ extension other than ".pem" (jwmatthews@gmail.com)
- Added new Amazon content cert 11/12/2013 for rh-common and rhscl content
  (jwmatthews@gmail.com)

* Mon Nov 11 2013 John Matthews <jwmatthews@gmail.com> 2.1.32-1
- Merge branch 'bz822614' (jwmatthews@gmail.com)
- create_rhui_ssl_certs.sh: use getopt to get all required parameters
  (vitty@redhat.com)

* Mon Nov 11 2013 John Matthews <jwmatthews@gmail.com> 2.1.31-1
- 968816 - RFE to Add Self-Signed Cert Gen Script to Public RHUI .iso
  (jwmatthews@gmail.com)

* Thu Nov 07 2013 John Matthews <jwmatthews@gmail.com> 2.1.30-1
- 830631 - [Patch] Disables yum-rhn-plugin a little bit safer in %%post in
  client entitlement rpms' spec template (jwmatthews@gmail.com)

* Thu Nov 07 2013 John Matthews <jwmatthews@gmail.com> 2.1.29-1
- Introduced ability to read v3 Entitlement Certificates (jwmatthews@gmail.com)
- Small unit tests updates so all 40 tests now pass for rhui-manager
  (jwmatthews@gmail.com)
- Update unit test for test_repo_screen  - Remove unused import of virtconv  -
  Update delete string to match latest rhui-manager code (jwmatthews@gmail.com)

* Thu Oct 31 2013 David Gao <dgao@redhat.com> 2.1.28-1
- minor tweak to delete task queued up message (dgao@redhat.com)
- changed decision tree for repo to utilize last_sync_attempt (dgao@redhat.com)
- 1024812, 1024804 - fixed status output for newly added repo/cds that was
  never synced (dgao@redhat.com)
- 913097 - make "vc", "sc", "vr", "sr" information about last sync consistent
  w/ "dr" and "dc" (dgao@redhat.com)

* Wed Oct 16 2013 John Matthews <jwmatthews@gmail.com> 2.1.27-1
- 957128 - Error when .rpm file, which isn't real rpm package, is uploaded
  (jwmatthews@gmail.com)
- Merge branch 'master' of
  git+ssh://axiom.lab.eng.rdu.redhat.com/scm/git/cloude (dgao@redhat.com)
- 1011082 - Subscription-manager removes RHUI client certificates under
  /etc/pki/entitlement during "subscription-manager clean" (dgao@redhat.com)

* Wed Oct 16 2013 John Matthews <jwmatthews@gmail.com> 2.1.26-1
- 836852 - Lack of SSLCACertificateFile in CDS server defaults cause RHEL 5
  clients to fail SSL negotiation (jwmatthews@gmail.com)

* Tue Oct 15 2013 John Matthews <jwmatthews@gmail.com> 2.1.25-1
- Update answers file so the cds name is rh-cds#-HOSTNAME
  (jwmatthews@gmail.com)
- Bumping cert life to 7300 for CA of rhui-manager's 'user cert'
  (jwmatthews@gmail.com)
- Bump life of 'identity' certificate to ~20 years. (jwmatthews@gmail.com)

* Mon Oct 14 2013 John Matthews <jwmatthews@gmail.com> 2.1.24-1
- Tweak to setting ENCRYPT_KEYS if it's not been set, reduces an error message
  from output (jwmatthews@gmail.com)

* Mon Oct 14 2013 John Matthews <jwmatthews@gmail.com> 2.1.23-1
- Update create_rhui_ssl_certs.sh so it will update path to CERT_DIR in answers
  file, to remove requirement of running from /root (jwmatthews@gmail.com)
- Fix for create_rhui_ssl_certs, cds-1, cds-2, sections in answers file were
  off by 1 (jwmatthews@gmail.com)

* Mon Oct 14 2013 John Matthews <jwmatthews@gmail.com> 2.1.22-1
- Removing rhui-debug.py from rh-rhui-tools since it's packaged in rh-rhui-
  tools-debug (jwmatthews@gmail.com)

* Mon Oct 14 2013 John Matthews <jwmatthews@gmail.com> 2.1.21-1
- 968816 - RFE to Add Self-Signed Cert Gen Script to Public RHUI .iso
  (jwmatthews@gmail.com)
- 845273 - improved messaging for repo deletion (dgao@redhat.com)
- Bumping life of qpid certs to 30 years and 3 months. (jwmatthews@gmail.com)
- 1007662 - Please modify rhua.py code for extending user-ca-cert.crt's expired
  date (dgao@redhat.com)
- minor tweak changing comparison to None instead of str (dgao@redhat.com)
- 845258 - rhui-manager status displays repo error while repo sync is in
  progress (dgao@redhat.com)
- 962408 - Rhui-manager is not doing pulp.generate_metadata() in command-line
  mode "rhui-manager packages upload" (dgao@redhat.com)
- 830631 - [Patch] Disables yum-rhn-plugin a little bit safer in %%post in
  client entitlement rpms' spec template (ssato@redhat.com)
- Bug 830643 - [Patch] client entitlement rpms generated w/ rhui-manager lacks
  dependency to yum (jwmatthews@gmail.com)
- 913097 - Misleading repo sync status displayed when repo was removed and
  added again (dgao@redhat.com)

* Fri Aug 23 2013 John Matthews <jwmatthews@gmail.com> 2.1.20-1
- Merge branch 'rhui-cli' into jwm_rhui_cli (jwmatthews@gmail.com)
- changed named of combined cert (whayutin@redhat.com)
- fixing file path for cert files (whayutin@redhat.com)
- adding repair command for inadvertent crl event w/ rhui (whayutin@redhat.com)
- cleaned up cert, repo and cli (whayutin@redhat.com)
- clean up.. moved client cert and rpm to its own class called client
  (whayutin@redhat.com)
- repo.py was butchered in a merge.. corrected (whayutin@redhat.com)
- fixed entitlement cert gen issue and added brief doc (whayutin@redhat.com)
- added repo associate to cds (whayutin@redhat.com)
- need to set custom gpg to False/None (whayutin@redhat.com)
- readding repo add after merge (whayutin@redhat.com)
- more merging of master into rhui-cli branch (whayutin@redhat.com)
- merge in master (whayutin@redhat.com)
- adding cert and rpm client creation (whayutin@redhat.com)
- added cds sync (whayutin@redhat.com)
- added commands to list available repos and add a new repo, sync a repo
  (whayutin@redhat.com)

* Tue Apr 16 2013 James Slagle <jslagle@redhat.com> 2.1.19-1
- 952300 - self -> repo (jslagle@redhat.com)

* Tue Apr 16 2013 James Slagle <jslagle@redhat.com> 2.1.18-1
- 952300 - handle _default_grabopts not being available due to an older yum
  (jslagle@redhat.com)

* Wed Feb 13 2013 James Slagle <jslagle@redhat.com> 2.1.17-1
- 908639 - Handle abort during cluster selection during CDS add.
  (jslagle@redhat.com)
- 847306 - Patch from vkuznets@redhat.com to fix exception checking
  (jslagle@redhat.com)

* Fri Feb 08 2013 James Slagle <jslagle@redhat.com> 2.1.16-1
- 847306 - return None for a non-existant repo (jslagle@redhat.com)
- 815975 - patch from vkuznets@redhat.com to improve arch guessing
  (jslagle@redhat.com)

* Wed Jan 30 2013 James Slagle <jslagle@redhat.com> 2.1.15-1
- Fix unit test (jslagle@redhat.com)

* Wed Jan 30 2013 James Slagle <jslagle@redhat.com> 2.1.14-1
- 879546 - Traceback no longer shown on cli, logged instead.  Helpful error
  message added. (jslagle@redhat.com)
- Remove accidentally committed files (jslagle@redhat.com)
- 865822 - Fix bad variable reference when re-creating identity certificate
  (jslagle@redhat.com)
- 833007 - patches from ssato@redhat.com for rhui-lb fixes (jslagle@redhat.com)
- 902557 - Add proxy support to rhui-lb plugin (jslagle@redhat.com)
- 815975 Don't try to guess entitlement path if there are 2 different arch's in
  the repo's path (jslagle@redhat.com)
- 811796 - Propogate name of custom repos to yum repo config
  (jslagle@redhat.com)
- 821319 - Package rhua-debug into a seperate package so that it can be
  installed on CDS instnaces (jslagle@redhat.com)
- 847306 - Make sure the repo still exists before attempting to read it's sync
  status (jslagle@redhat.com)
- 876423 - Fix extension parsing with initial 2 bytes of extension is .\n
  (jslagle@redhat.com)
- 848885 - Propogate proxy settins that are unset in the answers file to the
  config file (jslagle@redhat.com)
- 847080 - Handle unhandled exception that might occur during an expired user
  certificate (jslagle@redhat.com)
- 871497 - Fix typo (jslagle@redhat.com)
- 856637 - set VALID to 45, resulting in certs valid for 48 months (see docs
  for certutil (jslagle@redhat.com)
- 862016 Remove unused [yum] section from rhui-tools.conf, this also makes it
  so that the proxy options are under the [redhat] section (jslagle@redhat.com)
- 860494 Update package description (jslagle@redhat.com)
- 867803 - removing collection of files under /var/log/httpd from rhui-debug
  script since sosreport collects it by default when httpd is installed
  (skarmark@redhat.com)

* Tue Sep 25 2012 James Slagle <jslagle@redhat.com> 2.1.13-1
- Fix changelog entry (jslagle@redhat.com)

* Tue Sep 25 2012 James Slagle <jslagle@redhat.com> 2.1.12-1
- Unit tests updates, all tests passing (jslagle@redhat.com)
- 860117 Fix bug in custom entitlement confirmation during entitlement
  certificate generation (jslagle@redhat.com)

* Thu Sep 20 2012 James Slagle <jslagle@redhat.com> 2.1.11-1
- 857866 - Fix indentation bug which caused multiple menu choices for custom
  entitlements during entitlement cert generation (jslagle@redhat.com)

* Wed Aug 15 2012 James Slagle <jslagle@redhat.com> 2.1.10-1
- 824940, finally fix proxy configuration for both pulp.conf and rhui-
  tools.conf (whayutin@redhat.com)

* Fri Aug 10 2012 James Slagle <jslagle@redhat.com> 2.1.9-1
- 842785 Only show unprotected repos associated with the CDS cluster you're
  working with during client configuration rpm creation. (jslagle@redhat.com)
- 842859 adding ssl_ca_cert to rhui-tools on upgrade (whayutin@redhat.com)
- Revert "842859, add default option for ssl ca cert" (whayutin@redhat.com)

* Fri Aug 03 2012 James Slagle <jslagle@redhat.com> 2.1.8-1
- 824940 proxy param names were incorrect in the rhua.py file
  (whayutin@redhat.com)
- 840005, missed one place where the pulp-api associates repos to cds's
  (whayutin@redhat.com)

* Wed Aug 01 2012 James Slagle <jslagle@redhat.com> 2.1.7-1
- 842827 Fix rpm macro usage (jslagle@redhat.com)
- 822637, fixing invalid repo in cli upload (whayutin@redhat.com)
- 822637 fixed in one place but not the other (whayutin@redhat.com)
- 844718, remove obsolete instructions for selecting repos for entitlement cert
  (whayutin@redhat.com)

* Mon Jul 30 2012 James Slagle <jslagle@redhat.com> 2.1.6-1
- 842859, add default option for ssl ca cert (whayutin@redhat.com)

* Fri Jul 27 2012 James Slagle <jslagle@redhat.com> 2.1.5-1
- Sort repos on repo list screen (jslagle@redhat.com)
- 842827 Support for custom repos with custom signed GPG content and RH signed
  GPG content (jslagle@redhat.com)
- added a message that indicates repos may not be associated if the entitlement
  is expired (whayutin@redhat.com)

* Tue Jul 17 2012 James Slagle <jslagle@redhat.com> 2.1.4-1
- Add comment that these files are unsupported (jslagle@redhat.com)

* Tue Jul 17 2012 James Slagle <jslagle@redhat.com> 2.1.3-1
- 840977 Do not automatically associate custom repos with CDS clusters
  (jslagle@redhat.com)
- added more cds screen tests (whayutin@redhat.com)
- cds_cluster unit tests now work w/ current implementation
  (whayutin@redhat.com)
- fixed cds screen unit tests, still some work to do here (whayutin@redhat.com)

* Mon Jul 16 2012 James Slagle <jslagle@redhat.com> 2.1.2-1
- 840005, remove the automatic association of repos with the first cds created
  (whayutin@redhat.com)

* Tue Jul 10 2012 James Slagle <jslagle@redhat.com> 2.1.1-1
- Install rhui-debug.py script under /usr/share (jslagle@redhat.com)
- Install sample puppet module under /usr/share (jslagle@redhat.com)
- Remove useless macro (jslagle@redhat.com)
- 838658, fixes issue where the incorrect repos are used when creating
  entitlement certificates (whayutin@redhat.com)

* Tue Jul 03 2012 James Slagle <jslagle@redhat.com> 2.0.68-1
- Substitute values for /etc/rhui/rhui-tools.conf separately from
  /etc/pulp/pulp.conf (jslagle@redhat.com)
- Set default version to 2.1 (jslagle@redhat.com)

* Tue Jul 03 2012 James Slagle <jslagle@redhat.com> 2.0.67-1
- 813072 this commit some how did not make it in (weshayutin@gmail.com)

* Mon Jul 02 2012 James Slagle <jslagle@redhat.com> 2.0.66-1
- 830624 Apply patch from Satoru SATOH <ssato@redhat.com> to remove dist from
  spec file for client config rpm's (jslagle@redhat.com)
- Add new config option to dev config file (jslagle@redhat.com)
- Update license to GPLv2+ (jslagle@redhat.com)
- bz 803379, updates that will add the correct configuration to rhui-config at
  install (weshayutin@gmail.com)
- 831188 Read path to server SSL certificate from rhui-tools.conf instead of
  prompting for it (jslagle@redhat.com)
- 752969 Also add step to progress report (jslagle@redhat.com)
- 752969 Add package download status to repo sync status screen
  (jslagle@redhat.com)
- UI fixes, make rpm dir configurable (jslagle@redhat.com)
- Add ability to specify a client hostname for a CDS. (jslagle@redhat.com)
- bz 825011, it seems for transparent proxies http is more often used than
  https, also removing trailing slash that causes sync to fail.
  (weshayutin@gmail.com)
- bz 704630, catch socket errors at login (whayutin@redhat.com)
- bz 811792, added help to custom repo creation for checksum type
  (whayutin@redhat.com)
- added a few unit tests for repo screen (weshayutin@gmail.com)
- bz # 803379 use rh-rhua and rh-cds spec files to update the hostname on the
  rhua and cds. (whayutin@redhat.com)
- updated sample answers file (whayutin@redhat.com)
- bz 808351, catch socket error on rhui-manager cli status
  (weshayutin@gmail.com)
- bz # 803377 (weshayutin@gmail.com)
- bz 815975, only change the last element in the path for
  (weshayutin@gmail.com)
- report repo_id not for rhui-manager packages list --repo_id
  (weshayutin@gmail.com)
- bz 809810, if add repo fails in rhui-manager, error out and repopulate list
  of available products (weshayutin@gmail.com)
- More unit tests for repo association (jslagle@redhat.com)
- Unit test base class fixes (jslagle@redhat.com)
- Sort cluster names, makes it easier to unit test (jslagle@redhat.com)
- Clean up usage of cds_repo sreen (jslagle@redhat.com)
- Remove previous code that did repo association with CDS's instead of clusters
  (jslagle@redhat.com)
- Add feature to associate/unassociate repositories to cds clusters
  (jslagle@redhat.com)
- Fix this test to work with mock 0.7.2 (jslagle@redhat.com)
- Initial unit test base class/framework for testing rhui-manager screens and a
  first test for the cds screen (jslagle@redhat.com)
- Properly end the shell and return if no CDS instances are registered
  (jslagle@redhat.com)
- Add cluster support to unregister cds (jslagle@redhat.com)
- Show cluster name on CDS sync screen (jslagle@redhat.com)
- Style fixes (jslagle@redhat.com)
- Implement edit cluster membership screen. (jslagle@redhat.com)
- Finish implementation of cds list (jslagle@redhat.com)
- Beginning support for CDS clusters (jslagle@redhat.com)
- Updates to README and dev setup (jslagle@redhat.com)
- Add files that make it easier to run rhui-manager from a git checkout
  (jslagle@redhat.com)
- Fix unit tests, allow setting of serial file during cert generation
  (jslagle@redhat.com)

* Mon Apr 30 2012 James Slagle <jslagle@redhat.com> 2.0.65-1
- Add rhs to valid urls for content certificates (jslagle@redhat.com)
* Fri Apr 13 2012 James Slagle <jslagle@redhat.com> 2.0.64-1
- 811991 Make proper use of return code (jslagle@redhat.com)

* Mon Apr 09 2012 James Slagle <jslagle@redhat.com> 2.0.63-1
- 809064 Error identity certificate creation on openssl error
  (jslagle@redhat.com)
- 809257 only upload a newly generated identity certificate to protected repos.
  (jslagle@redhat.com)

* Wed Mar 21 2012 James Slagle <jslagle@redhat.com> 2.0.62-1
- Fix bug in previous commit (jslagle@redhat.com)

* Wed Mar 21 2012 James Slagle <jslagle@redhat.com> 2.0.61-1
- 805046 All newly created repos should be set to skip distribution sync
  (jslagle@redhat.com)

* Wed Feb 29 2012 James Slagle <jslagle@redhat.com> 2.0.60-1
- Add eus cdn path to valid urls in a content cert (jslagle@redhat.com)

* Tue Feb 28 2012 James Slagle <jslagle@redhat.com> 2.0.59-1
- 796818 label qpid port for selinux as part of policy package, not rh-rhua-
  config (jslagle@redhat.com)
- 798000 - Mark /etc/rhui/rhui-tools.conf as %%config(noreplace)
  (jslagle@redhat.com)

* Mon Feb 27 2012 James Slagle <jslagle@redhat.com> 2.0.58-1
- 798000 - Mark /etc/rhui/rhui-tools.conf as %%config(noreplace)
  (jslagle@redhat.com)

* Wed Feb 22 2012 James Slagle <jslagle@redhat.com> 2.0.57-1
- 788497 Update any repo consumer bundles if the identity cert is regenerated
  on rhui-manager startup (jslagle@redhat.com)

* Mon Feb 20 2012 James Slagle <jslagle@redhat.com> 2.0.56-1
- 795484 Regnerate repo metadata after a package upload operation
  (jslagle@redhat.com)

* Fri Feb 10 2012 James Slagle <jslagle@redhat.com> 2.0.55-1
- 789054 disallow spaces in entitlement certificate name (jslagle@redhat.com)

* Thu Feb 09 2012 James Slagle <jslagle@redhat.com> 2.0.54-1
- 788113 Be specific in prompt that this requires the full path to the
  directory (jslagle@redhat.com)

* Mon Feb 06 2012 James Slagle <jslagle@redhat.com> 2.0.53-1
- 787719 Fix pulp repo api usage of query by group id (jslagle@redhat.com)

* Fri Feb 03 2012 James Slagle <jslagle@redhat.com> 2.0.52-1
- Check to make sure SELinux is enabled before labeling qpidd port
  (jslagle@redhat.com)
- Label port 5674 amqp_port_t during rh-rhua-config install
  (jslagle@redhat.com)

* Thu Feb 02 2012 James Slagle <jslagle@redhat.com> 2.0.51-1
- Pulp api updates due to rebase (jslagle@redhat.com)

* Thu Feb 02 2012 James Slagle <jslagle@redhat.com> 2.0.50-1
- Fix another reference to pulp.client.server (jslagle@redhat.com)

* Wed Feb 01 2012 James Slagle <jslagle@redhat.com> 2.0.49-1
- Fix another bad pulp import (jslagle@redhat.com)

* Wed Feb 01 2012 James Slagle <jslagle@redhat.com> 2.0.48-1
- Fix pulp import errors after rebasing to latest pulp (jslagle@redhat.com)

* Wed Feb 01 2012 James Slagle <jslagle@redhat.com> 2.0.47-1
- Update requires from pulp-client to pulp-consumer (jslagle@redhat.com)

* Mon Jan 30 2012 James Slagle <jslagle@redhat.com> 2.0.46-1
- 754428 Update prompt to indicate it will take a CA certificate or CA chain
  (jslagle@redhat.com)
- 757900, 757899 rhu-manager status command enhancements (jslagle@redhat.com)
- Subclasses of datetime.tzinfo that implement the dst method must return a
  timedelta object or None (jslagle@redhat.com)
- 722411 - Fixed incorrect recursion (jason.dobies@redhat.com)
- 707148 - Removed duplicate arguments for status (jason.dobies@redhat.com)
- 701881 - Log files will be kept until they reach 1MB after which they will
  be rotated. Two backups will be kept. (jason.dobies@redhat.com)

* Wed Jan 11 2012 James Slagle <jslagle@redhat.com> 2.0.45-1
- 773444 Add rhes to valid download url paths (jslagle@redhat.com)

* Mon Oct 17 2011 James Slagle <jslagle@redhat.com> 2.0.44-1
- 745954 Add a new screen in rhui-manager to regenerate the identity
  certificate and prompt for the number of days that it will be valid
  (jslagle@redhat.com)

* Tue Oct 11 2011 James Slagle <jslagle@redhat.com> 2.0.43-1
- 743327 - ensure auth=no in /etc/qpidd.conf (jortel@redhat.com)
- 737610 Also add latest CDS sync status to status command (jslagle@redhat.com)

* Wed Sep 21 2011 James Slagle <jslagle@redhat.com> 2.0.42-1
- 739918 - Changed default to localhost (jason.dobies@redhat.com)
- Made checksum type selectable for custom repos (jason.dobies@redhat.com)
- bz 737610 and bz 737693 Improve rhui-manager status command
  (jslagle@redhat.com)

* Tue Jul 26 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.41-1
- 720665 - Default the serial number to 100. This should alleviate any
  potential overlap in serial numbers if the same CA was used to sign the CDS
  SSL certificates. (jason.dobies@redhat.com)

* Fri Jul 15 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.40-1
- 722532 - Stronger parsing out of blank entries in listings
  (jason.dobies@redhat.com)

* Fri Jul 15 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.39-1
- Added more useful logging messages for when errors occur in listings
  translations (jason.dobies@redhat.com)

* Thu Jul 14 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.38-1
- 719911 - Only attempt to strip off the ks directory if it's there
  (jason.dobies@redhat.com)

* Fri Jul 08 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.37-1
- 716951 - Convert PKCS8 formatted keys to RSA when generating client
  entitlement and identity certificates (jason.dobies@redhat.com)

* Fri Jul 08 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.36-1
- 719954 - Need to delete the expired certificate on a failed server connection
  instead of just at startup in case the server's clock is different from the
  RHUI Manager's. In such a case, it's possible that RHUI will expect the
  certificate to be valid and thus not delete it and ask the user to log in
  again but the user will still be unable to perform any commands against the
  server. (jason.dobies@redhat.com)
- 719954 - The shell loop will now inspect connection-related exceptions to see
  if it represents an expired certificate. If it does, RHUI will exit. On
  startup, the certificate is checked for expiration and will delete the
  certificate if it is expired, forcing the user to log in again.
  (jason.dobies@redhat.com)
- 716966 - Cert manager is now aware of valid v. expired certificates. RHUI
  Manager will now only work with valid certificates for things like new repos
  or client entitlement certificates. Expired certificates are shown in the
  entitlements list. (jason.dobies@redhat.com)
- 719911 - Needed full path to pulp.conf (jason.dobies@redhat.com)

* Thu Jul 07 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.35-1
- 718282 - Fixed another python 2.4 incompatibility (jason.dobies@redhat.com)
- 719348 - Remove the kickstart directive entirely in the RHUA installation to
  prevent repositories with kickstart trees from being exposed over HTTP and
  thus not held to authentication requirements (jason.dobies@redhat.com)

* Fri Jul 01 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.34-1
- 718282 - Fixed python 2.4 incompatibility (jason.dobies@redhat.com)
- 709291 - Filter before generating the menu, that way the menu items directly
  correlate back to the filtered list. (jason.dobies@redhat.com)

* Thu Jun 23 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.33-1
- 708279 - Don't use createrepo at all in the RHUI world for Red Hat repos.
  (jason.dobies@redhat.com)
- 715308 - Properly catch abort when cancelling package upload.
  (jason.dobies@redhat.com)

* Wed Jun 22 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.32-1
- 715102 - Fixed incorrect spelling (jason.dobies@redhat.com)
- 715252 - Fixed identity cert generation for new API (jason.dobies@redhat.com)

* Tue Jun 21 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.31-1
- Reworked sync summary and added detailed view into last sync
  (jason.dobies@redhat.com)
- Fixed task logic to account for no next scheduled time on immediate syncs
  that have completed. Also dorked with rendering colored output in sync
  status. (jason.dobies@redhat.com)
- Big refactoring to sync reporting to use task persistence feature
  (jason.dobies@redhat.com)
- 709261 - Rather than guess at the entitlement used, we now store it as a
  group ID, so check there for exact matches. (jason.dobies@redhat.com)
- 711754 - The repo definitions for unprotected repos were incorrectly
  including certificates, so moved that stuff out of the template file and add
  it in the replacement step (jason.dobies@redhat.com)
- 706942 - Create serial number DB file when uploading the entitlement
  certificate and don't prompt for the serial number (jason.dobies@redhat.com)
- 707283 - Properly catch abort during add by repo selection
  (jason.dobies@redhat.com)
- 713316 - Fixed typo (jason.dobies@redhat.com)

* Tue Jun 14 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.30-1
- The header is no longer necessary (jason.dobies@redhat.com)

* Fri Jun 10 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.29-1
- Added timezone info to date formatting (jason.dobies@redhat.com)
- Added more useful error message when running without any content certificates
  (jason.dobies@redhat.com)
- Added option to force remove CDS instances if the first unregister fails
  (jason.dobies@redhat.com)
- Add entitlement info to repo to be used when updating a certificate
  (jason.dobies@redhat.com)
- Updated to pulp's new model of single cert/private key file
  (jason.dobies@redhat.com)
- Updated certificate CLI with new update semantics (jason.dobies@redhat.com)
- Fixed update server logic to pull certs on a per repo basis.
  (jason.dobies@redhat.com)
- Updated unit tests for new API. (jason.dobies@redhat.com)
- Use the cert manager to choose the correct cert based on entitlement when
  creating new repos (jason.dobies@redhat.com)
- 701438 - Fixed typo in repo CLI output (jason.dobies@redhat.com)
- Moved to a single file model for certificates (jason.dobies@redhat.com)
- Repo candidates now requires cert manager to list its entitlements
  (jason.dobies@redhat.com)
- Docs cleanup to """ format (jason.dobies@redhat.com)
- Added not used note so people aren't confused. (jason.dobies@redhat.com)
- Modified cert upload to use cert manager (jason.dobies@redhat.com)
- Added in creation and loading of certificate manager to the launcher and
  updated the entitlement display to account for multiple certificates.
  (jason.dobies@redhat.com)
- Added certificate manager to track and handle multiple content certificates
  (jason.dobies@redhat.com)
- Still need to populate a mirror list; I think this was committed by accident
  (jason.dobies@redhat.com)
- Lame logic error. (jason.dobies@redhat.com)
- Start time on new repo/cds syncs are now one interval length in the future.
  (jason.dobies@redhat.com)

* Sat Jun 04 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.28-1
- I remembered to add these to the client RPM spec, but not the tools RPM spec
  (jason.dobies@redhat.com)

* Sat Jun 04 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.27-1
- Updated yum plugin to use the ?members URL as a ping and update its local
  listings if they have changed. (jason.dobies@redhat.com)
- Preface all RHUI repos with rhui- so the load balancer yum plugin kicks in.
  (jason.dobies@redhat.com)
- Work towards CDS load balancing solution, including yum plugin
  (jason.dobies@redhat.com)
- 709994 - Need to clean up from a previous RHUA config RPM so we don't get
  duplicate entries on an upgrade. (jason.dobies@redhat.com)
- Added nss-tools as a requirement for the nss-db-gen script
  (jason.dobies@redhat.com)

* Wed Jun 01 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.26-1
- Added SSL CA certificate to installer process (jason.dobies@redhat.com)

* Tue May 24 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.25-1
- Change generated NSS certs to be valid for 12 months. (jortel@redhat.com)

* Tue May 24 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.24-1
- rhui: installer, messaging URL should be ssl:// (jortel@redhat.com)

* Fri May 20 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.23-1
- Added qpid SSL server dependency (jason.dobies@redhat.com)
- Fix line 59: [: i+1: integer expression expected (jortel@redhat.com)
- Fix nss [-12237] problem with SSL cert. (jortel@redhat.com)
- Added configurator calls to update QPID for SSL on the RHUA
  (jason.dobies@redhat.com)
- Added comments for qpid properties in sample answers file
  (jason.dobies@redhat.com)
- Added QPID configuration into the RHUA config RPMs (jason.dobies@redhat.com)
- Better organization for the CDS spec (jason.dobies@redhat.com)
- Added QPID SSL configuration for CDS configuration instances
  (jason.dobies@redhat.com)
- Added execute flags to scripts (jason.dobies@redhat.com)
- Removed ping check since CLI code changes break it (jason.dobies@redhat.com)
- Update /etc/qpidd.conf (jortel@redhat.com)
- Fixed issue in displaying info on non-protected custom repos and only show
  sync info for Red Hat repos (jason.dobies@redhat.com)
- Generate NSS database for QPID. (jortel@redhat.com)
- Updated tests for fixed configurator calls (jason.dobies@redhat.com)
- Added safeties to sync state rendering to debug the situation where it's
  coming back as None (jason.dobies@redhat.com)
- Updated with new feed URL format (no type) and date time format
  (jason.dobies@redhat.com)
- Missed one (jason.dobies@redhat.com)
- Fixed incorrect references to the configurator script
  (jason.dobies@redhat.com)
- When run from main, need to rip off the name of the script itself from the
  args (jason.dobies@redhat.com)
- Only pull in RPM files when adding a directory of RPMs.
  (jason.dobies@redhat.com)
- 697351 - Auxiliary key is no longer used (jason.dobies@redhat.com)
- 703110 - Changed incorrect access control checks (jason.dobies@redhat.com)
- 701794 - Corrected wording in menu select instructions
  (jason.dobies@redhat.com)
- Remove the temporary directory containing the spec file
  (jason.dobies@redhat.com)

* Tue Apr 26 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.22-1
- Fine, just leave the compiled python files in there.
  (jason.dobies@redhat.com)

* Tue Apr 26 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.18-1
- Remove extra compiled python files that shouldn't be there. Added missing
  answers.sample file to files list. (jason.dobies@redhat.com)

* Tue Apr 26 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.17-1
- Added launcher and rhui-install bin script (jason.dobies@redhat.com)
- Added answers file engine (jason.dobies@redhat.com)

* Tue Apr 26 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.16-1
- 698582 - Changed output for next sync in the case where the sync is running
  (jason.dobies@redhat.com)

* Mon Apr 18 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.15-1
- Split up listing repos by red hat v. custom (jason.dobies@redhat.com)
- Added sync state coloring to trigger sync menu (jason.dobies@redhat.com)
- Initialize the prompt to output the specified normal color
  (jason.dobies@redhat.com)
- Removed schedule information, just leave this as an UP/DOWN thing
  (jason.dobies@redhat.com)
- Added command line support for the RHUI status (jason.dobies@redhat.com)
- Added note about deleting repos on a CDS unregister (jason.dobies@redhat.com)
- Added hook to invalidate Red Hat translated repos on a cert upload
  (jason.dobies@redhat.com)
- Made refresh time on sync status configurable in case the users want to
  reduce network traffic (jason.dobies@redhat.com)
- Fixed bad logic on the relevant task detection (jason.dobies@redhat.com)
- Trying to get around errors when exiting out of the sync display screens
  (jason.dobies@redhat.com)
- Fixed broken permissions check (jason.dobies@redhat.com)
- Added color output to status screens (jason.dobies@redhat.com)
- Added CDS heartbeat state to CDS sync/status screen (jason.dobies@redhat.com)

* Mon Apr 18 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.14-1
- Fixed incorrect repo sync frequency config lookup (jason.dobies@redhat.com)

* Fri Apr 15 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.13-1
- Wired up CDS sync schedules (jason.dobies@redhat.com)
- Extracted out relevant task detection and added it for CDS syncs
  (jason.dobies@redhat.com)
- Reenabled repo scheduling and cleaned up next sync format
  (jason.dobies@redhat.com)
- Made builder list configurable. Added tito command for building to the pulp
  rhui directory on axiom. (jason.dobies@redhat.com)

* Thu Apr 14 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.12-1
- I need some sleep. (jason.dobies@redhat.com)

* Thu Apr 14 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.11-1
- Let's try that again (jason.dobies@redhat.com)

* Thu Apr 14 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.10-1
- Fixed error in build script copying (jason.dobies@redhat.com)
- This feels much cleaner (jason.dobies@redhat.com)
- Only display shell triggers on help menu (jason.dobies@redhat.com)

* Thu Apr 14 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.9-1
- Added logout to remove auth credentials and exit (jason.dobies@redhat.com)
- Added identity cert generation and entitlement CA detection to launch checks.
  (jason.dobies@redhat.com)
- Added check to make sure the entitlement signing cert is present before
  running. (jason.dobies@redhat.com)
- Don't prompt the user to selected unprotected repos if there are none
  (jason.dobies@redhat.com)
- Added CDS sync ability (jason.dobies@redhat.com)
- Changes handling of sync/schedule display. Added in identity cert for repo
  creation (still need to clean that up). (jason.dobies@redhat.com)

* Wed Apr 13 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.8-1
- Removed explicit unassociate/sync logic; this is now handled automatically on
  the CDS when it receives the unregister call. (jason.dobies@redhat.com)
- Make the certs directory on install (jason.dobies@redhat.com)
- Changed CDS unregister workflow to unassociate repos and sync first.
  (jason.dobies@redhat.com)
- Added username/password support at the CLI level (jason.dobies@redhat.com)
- Auth credentials are now stored on a per-server basis, allowing on rhui-tools
  to control multiple servers. (jason.dobies@redhat.com)
- Added keyboard interrupt trap to login in case the user pressed ctrl+c
  (jason.dobies@redhat.com)
- Added regular expression checking for valid custom repo IDs.
  (jason.dobies@redhat.com)
- Added small package filtering ability. (jason.dobies@redhat.com)
- Added abillity to list all packages at the CLI level, regardless of number of
  packages (jason.dobies@redhat.com)

* Wed Apr 13 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.7-1
- Corrected old link to original shell project code. (jason.dobies@redhat.com)

* Tue Apr 12 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.6-1
- Renamed rhui-tools to rhui-manager (jason.dobies@redhat.com)

* Tue Apr 12 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.5-1
- Big changes; another QE build
* Mon Apr 11 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.4-1
- Interim build with lots of fixes/changes
* Mon Apr 11 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.3-1
- Trying to fix the fact that there is no RHUI source installed from the RPM.
  (jason.dobies@redhat.com)

